WordPress.org

Ready to get started?Download WordPress

Forums

2.1 and MySQL 4.1.10a (7 posts)

  1. adam-pi-de
    Member
    Posted 7 years ago #

    I have upgraded to WordPress 2.1 and have MySQL 4.1.10a on the server. Everything works fine, but I have an error message on my front page which reads:

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1]
    SELECT cat_id, cat_name FROM

    What is this, how do I get rid of it, etc. etc.

  2. Trent Adams
    Member
    Posted 7 years ago #

    you must have fixed this then? I can't see any problems on the URL in your profile.

    http://www.private-intellectual.de

    Trent

  3. adam-pi-de
    Member
    Posted 7 years ago #

    Fixed, no. The error message - including when I log out and look at it as an 'outsider' - is beneath the search box in the right hand column.

    My main problem is that I can no longer post anything, as the advanced-cache.php file appears to be useless, but that is in another thread.

  4. Trent Adams
    Member
    Posted 7 years ago #

    I know 2.1 has a new call for links/blogroll, maybe check out this codex page about it?

    Trent

  5. adam-pi-de
    Member
    Posted 7 years ago #

    Trent, I can't get the codex page as the link appears to be dead, can you give it in full?

  6. adam-pi-de
    Member
    Posted 7 years ago #

    Perhaps someone else can give me the codex link? Or a hint as to what it might be ...

  7. Jeriko
    Member
    Posted 7 years ago #

    http://lorelle.wordpress.com/2007/01/26/wordpress-21-template-tag-and-function-changes/

    There's an overview of changed functions, maybe that will help.

Topic Closed

This topic has been closed to new replies.

About this Topic